import {request} from '@/utils/request.js'

/**
 * 获取Danger列表
 * @param data
 * @returns
 */
export function creatDuty(data) {
  return request({
    url: '/duty/record/item/add',
    method: 'POST',
    data
  })
}
/**
 * 列表查询
 * @param data
 * @returns
 */
export function getDutyRecordItemByList(data) {
  return request({
    url: '/duty/record/item',
    method: 'GET',
    params: data
  })
}
/**
 * 列表查询
 * @param data
 * @returns
 */
export function getDutyRecord(dutyDate) {
  return request({
    url: `/duty/record/item/my/${dutyDate}`
  })
}